Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleCharacterVariable

    java.lang.Object
      com.ibm.able.data.AbleLhs
          com.ibm.able.data.AbleVariable
              com.ibm.able.data.AbleTypedVariable
                  com.ibm.able.data.AbleCharacterVariable

All Implemented Interfaces:
  AbleClearable, AbleRd, AbleWr, java.io.Serializable

public class AbleCharacterVariable
extends AbleTypedVariable
implements java.io.Serializable

This class wraps a value of the primitive type char in an object. An object of type AbleCharacterVariable contains a single, mutable field whose type is char. Instances of AbleCharacterVariable are used by the Able rules classes in clauses and expressions. In addition, this class provides methods for converting a char to other datatypes, setting a char value using other datatypes, as well as other logical comparison and math operator methods useful when dealing with a char. *

See Also:
  Serialized Form

Field Summary
`protected char` | `myValue` The current value of the variable.

Fields inherited from class com.ibm.able.data.AbleTypedVariable
`myDataTypeClass, myDataTypeClassName, myDataTypeName, myInitialParms`

Fields inherited from class com.ibm.able.data.AbleVariable
`myBoundFlag, myChgSupport, myComment, myContext, myDataType, myGlobalFlag, myId, myName, myPrompt, myReferences, myStaticFlag, myTemplateFlag, myValueInitial`

Constructor Summary
`AbleCharacterVariable(java.lang.String theName, boolean theStaticFlag, boolean theGlobalFlag, int theInitialValue)` Create a new numeric variable with the specified initial value.
`AbleCharacterVariable(java.lang.String theName, char theInitialValue)` Create a new Integer variable with the specified initial value.

Method Summary
`java.lang.String` | `arlDclString()` Return a formal ARL "declaration" string that describes this data object.
`java.lang.String` | `armlDclString()` Return a formal XML "declaration" string that describes this data object.
`void` | `asgnEq(AbleRd theRhs)` Assignment: assign the current value of theRhs to this data object.
`AbleLiteral` | `bitwiseAND(AbleRd theRhs)` Bitwise AND the current value of this data object with the current value of theRhs.
`AbleLiteral` | `bitwiseNOT(AbleRd theRhs)` Bitwise NOT: unary complement of the current value of this data object.
`AbleLiteral` | `bitwiseOR(AbleRd theRhs)` Bitwise OR the current value of this data object with the current value of theRhs.
`AbleLiteral` | `bitwiseShiftLeft(AbleRd theRhs)` Bitwise Shift Left the current value of this data object by the current value of theRhs.
`AbleLiteral` | `bitwiseShiftRight(AbleRd theRhs)` Bitwise Shift Right the current value of this data object by the current value of theRhs.
`AbleLiteral` | `bitwiseShiftRightZeroFill(AbleRd theRhs)` Bitwise Shift Right with Zero Fill the current value of this data object by the current value of theRhs.
`AbleLiteral` | `bitwiseXOR(AbleRd theRhs)` Bitwise XOR: exclusive OR the current value of this data object with the current value of theRhs.
`boolean` | `cmpEq(AbleRd theRhs)` Comparison, equal to: compare the current value of this data object to the current value of theRhs.
`boolean` | `cmpGt(AbleRd theRhs)` Comparison, greater than: compare the current value of this data object to the current value of theRhs.
`boolean` | `cmpGtEq(AbleRd theRhs)` Comparison, greater than or equal to: compare the current value of this data object to the current value of theRhs.
`boolean` | `cmpLt(AbleRd theRhs)` Comparison, less than: compare the current value of this data object to the current value of theRhs.
`boolean` | `cmpLtEq(AbleRd theRhs)` Comparison, less than or equal to: compare the current value of this data object to the current value of theRhs.
`boolean` | `cmpNeq(AbleRd theRhs)` Comparison, not equal to: compare the current value of this data object to the current value of theRhs.
`AbleLiteral` | `compDivide(AbleRd theRhs)` Compute, divide the current value of this data object by the current value of theRhs.
`AbleLiteral` | `compMinus(AbleRd theRhs)` Compute, subtract the current value of theRhs from the current value of this object.
`AbleLiteral` | `compMultiply(AbleRd theRhs)` Compute, multiply the current value of this data object to the current value of theRhs.
`AbleLiteral` | `compPlus(AbleRd theRhs)` Compute, add or concatenate the current value of this data object to the current value of theRhs.
`boolean` | `getBooleanValue()` Retrieve the value of this data object as a boolean value.
`java.lang.Class` | `getDataTypeClass()` Retrieve the actual class of this object's underlying data type.
`java.lang.String` | `getDataTypeClassName()` Retrieve the name of the class of this object's underlying data type.
`AbleFuzzySet` | `getFuzzyValue()` Retrieve the value of this data object as a fuzzy value.
`java.lang.Object` | `getGenericValue()` Retrieve the value of this data object as an Object.
`java.lang.Class` | `getLiteralClass()` Retrieve the class of this variable's related AbleLiteral data type.
`double` | `getNumericValue()` Retrieve the value of this data object as a numeric value.
`java.lang.Object` | `getRawValue()` Retrieve the variable's current value.
`java.lang.String` | `getStringValue()` Retrieve the value of this data object as a string value.
`AbleLiteral` | `getValue()` Retrieve the value of this data object as a literal.
`java.lang.String` | `getValueString()` Retrieve the variable's current value as a string.
`void` | `init()` Init the variable to its initial state.
`void` | `reset()` Reset the variable to its intial state.
`void` | `setBooleanValue(boolean theNewValue)` Set the value of this data object from a boolean value.
`void` | `setFuzzyValue(AbleFuzzySet theNewValue)` Set the value of this data object from a fuzzy value.
`void` | `setGenericValue(java.lang.Object theNewValue)` Set the value of this data object from an object.
`void` | `setNumericValue(double theNewValue)` Set the value of this data object from a numeric value.
`void` | `setStringValue(java.lang.String theNewValue)` Set the value of this data object from a string value.
`void` | `setValue(AbleLiteral theNewValue)` Set the value of this data object from a literal object.
`void` | `setValueString(java.lang.String theNewValue)` Set the variable's current value from a string.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `xmlDclString()` Return a formal XML "declaration" string that describes this data object.

Methods inherited from class com.ibm.able.data.AbleTypedVariable
`clear, cmpIs, compUnaryMinus, getDataTypeName, replaceValues`

Methods inherited from class com.ibm.able.data.AbleVariable
`arlCRdString, arlInitializerString, armlCRdString, armlInitializerString, getArlComment, getChgSupport, getComment, getContext, getDataType, getDataTypeAsString, getId, getName, getPrompt, getPromptString, getReferences, getReferent, getReferents, getTemplateString, isBound, isConstant, isGlobal, isLocal, isStatic, isTemplate, notStatic, setChgSupport, setComment, setContext, setId, setInitialValue, setPrompt, setReferences, setStatic, setTemplate, xmlCRdString, xmlCWrString, xmlInitializerString`

Methods inherited from class com.ibm.able.data.AbleLhs
`asgnIs, asgnIs, compModulo, logicalAND, logicalNOT, logicalOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myValue

    protected char myValue

  The current value of the variable.

Constructor Detail

### AbleCharacterVariable

    public AbleCharacterVariable(java.lang.String theName,
                                 char theInitialValue)

  Create a new Integer variable with the specified initial value.

Parameters:
  `theName` - The unique name of the variable.

  `theInitialValue` - The value to which this variable is initially set.

### AbleCharacterVariable

    public AbleCharacterVariable(java.lang.String theName,
                                 boolean theStaticFlag,
                                 boolean theGlobalFlag,
                                 int theInitialValue)

  Create a new numeric variable with the specified initial value.

Parameters:
  `theName` - The unique name of the variable.

  `theStaticFlag` - Use true if this variable is to be marked as static, which means that it will ignore future reset requests; use false if the variable can be reset to its initial value when requested.

  `theGlobalFlag` - Use true if this variable is to be considered global; use false if the variable is to be considered local.

  `theInitialValue` - The value to which this variable is initially set.

Method Detail

### getBooleanValue

    public boolean getBooleanValue()
                            throws AbleDataException

  Retrieve the value of this data object as a boolean value.

  Specified by:
    `getBooleanValue` in interface `AbleRd`
  Overrides:
    `getBooleanValue` in class `AbleTypedVariable`
  Returns:
    A boolean, if the value of this object can be represented as a boolean value. If the current value is 0.0, false is returned; any other numeric value returns true.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a boolean value.

### getFuzzyValue

    public AbleFuzzySet getFuzzyValue()
                               throws AbleDataException

  Retrieve the value of this data object as a fuzzy value.

  Specified by:
    `getFuzzyValue` in interface `AbleRd`
  Overrides:
    `getFuzzyValue` in class `AbleTypedVariable`
  Returns:
    A fuzzy set, if the value of this object can be represented as a fuzzy value. This method always throws an exception.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a fuzzy value.

### getGenericValue

    public java.lang.Object getGenericValue()
                                     throws AbleDataException

  Retrieve the value of this data object as an Object.

  Specified by:
    `getGenericValue` in interface `AbleRd`
  Overrides:
    `getGenericValue` in class `AbleTypedVariable`
  Returns:
    A Double object.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as an Object.

### getNumericValue

    public double getNumericValue()
                           throws AbleDataException

  Retrieve the value of this data object as a numeric value.

  Specified by:
    `getNumericValue` in interface `AbleRd`
  Overrides:
    `getNumericValue` in class `AbleTypedVariable`
  Returns:
    A double, if the value of this object can be represented as a numeric value.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a numeric value.

### getStringValue

    public java.lang.String getStringValue()
                                    throws AbleDataException

  Retrieve the value of this data object as a string value.

  Specified by:
    `getStringValue` in interface `AbleRd`
  Overrides:
    `getStringValue` in class `AbleTypedVariable`
  Returns:
    A String, if the value of this object can be represented as a string value.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a string value.

### getValue

    public AbleLiteral getValue()
                         throws AbleDataException

  Retrieve the value of this data object as a literal.

  Specified by:
    `getValue` in interface `AbleRd`
  Overrides:
    `getValue` in class `AbleTypedVariable`
  Returns:
    An AbleIntegerLiteral object.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a literal.

### asgnEq

    public void asgnEq(AbleRd theRhs)
                throws AbleDataException

  Assignment: assign the current value of theRhs to this data object.

  Specified by:
    `asgnEq` in interface `AbleWr`
  Overrides:
    `asgnEq` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand, or source, side of the assignment.

  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and assigned to this data object.

### cmpEq

    public boolean cmpEq(AbleRd theRhs)
                  throws AbleDataException

  Comparison, equal to: compare the current value of this data object to the current value of theRhs.

  "==" is used for numeric and boolean compares; equals() is used for Object compares; and Collator.equals() is used for String compares.

  Specified by:
    `cmpEq` in interface `AbleRd`
  Overrides:
    `cmpEq` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is equal to theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### cmpGt

    public boolean cmpGt(AbleRd theRhs)
                  throws AbleDataException

  Comparison, greater than: compare the current value of this data object to the current value of theRhs.

  ">" is used for numeric compares; Collator.compare() is used for String compares. Use of other data types on the left-hand side causes an exception.

  Specified by:
    `cmpGt` in interface `AbleRd`
  Overrides:
    `cmpGt` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is greater than theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseNOT

    public AbleLiteral bitwiseNOT(AbleRd theRhs)
                           throws AbleDataException

  Bitwise NOT: unary complement of the current value of this data object.

  "~" is used for bitwise NOT or complement.

  Specified by:
    `bitwiseNOT` in interface `AbleRd`
  Overrides:
    `bitwiseNOT` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise NOT operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### cmpGtEq

    public boolean cmpGtEq(AbleRd theRhs)
                    throws AbleDataException

  Comparison, greater than or equal to: compare the current value of this data object to the current value of theRhs.

  ">=" is used for numeric compares; Collator.compare() is used for String compares. Use of other data types on the left-hand side causes an exception.

  Specified by:
    `cmpGtEq` in interface `AbleRd`
  Overrides:
    `cmpGtEq` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is greater than or equal to theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### cmpLt

    public boolean cmpLt(AbleRd theRhs)
                  throws AbleDataException

  Comparison, less than: compare the current value of this data object to the current value of theRhs.

  "<" is used for numeric compares; Collator.compare() is used for String compares. Use of other data types on the left-hand side causes an exception.

  Specified by:
    `cmpLt` in interface `AbleRd`
  Overrides:
    `cmpLt` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is less than theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### cmpLtEq

    public boolean cmpLtEq(AbleRd theRhs)
                    throws AbleDataException

  Comparison, less than or equal to: compare the current value of this data object to the current value of theRhs.

  "<=" is used for numeric compares; Collator.compare() is used for String compares. Use of other data types on the left-hand side causes an exception.

  Specified by:
    `cmpLtEq` in interface `AbleRd`
  Overrides:
    `cmpLtEq` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is less than or equal to theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### cmpNeq

    public boolean cmpNeq(AbleRd theRhs)
                   throws AbleDataException

  Comparison, not equal to: compare the current value of this data object to the current value of theRhs.

  "!=" is used for numeric and boolean compares; ! equals() is used for Object compares; and ! Collator.equals() is used for String compares.

  Specified by:
    `cmpNeq` in interface `AbleRd`
  Overrides:
    `cmpNeq` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is not equal to theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### compPlus

    public AbleLiteral compPlus(AbleRd theRhs)
                         throws AbleDataException

  Compute, add or concatenate the current value of this data object to the current value of theRhs.

  "+" is used for numeric addtion and String concatenation.

  Specified by:
    `compPlus` in interface `AbleRd`
  Overrides:
    `compPlus` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    The result of the addition or concatenation operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### compMinus

    public AbleLiteral compMinus(AbleRd theRhs)
                          throws AbleDataException

  Compute, subtract the current value of theRhs from the current value of this object.

  "-" is used for numeric subtraction.

  Specified by:
    `compMinus` in interface `AbleRd`
  Overrides:
    `compMinus` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    The result of the subtraction operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### compMultiply

    public AbleLiteral compMultiply(AbleRd theRhs)
                             throws AbleDataException

  Compute, multiply the current value of this data object to the current value of theRhs.

  "*" is used for numeric multiplication.

  Specified by:
    `compMultiply` in interface `AbleRd`
  Overrides:
    `compMultiply` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    The result of the multiplication operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### compDivide

    public AbleLiteral compDivide(AbleRd theRhs)
                           throws AbleDataException

  Compute, divide the current value of this data object by the current value of theRhs.

  "/" is used for numeric division.

  Specified by:
    `compDivide` in interface `AbleRd`
  Overrides:
    `compDivide` in class `AbleTypedVariable`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    The result of the division operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseAND

    public AbleLiteral bitwiseAND(AbleRd theRhs)
                           throws AbleDataException

  Bitwise AND the current value of this data object with the current value of theRhs.

  "&" is used for bitwise AND.

  Specified by:
    `bitwiseAND` in interface `AbleRd`
  Overrides:
    `bitwiseAND` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise AND operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseOR

    public AbleLiteral bitwiseOR(AbleRd theRhs)
                          throws AbleDataException

  Bitwise OR the current value of this data object with the current value of theRhs.

  "|" is used for bitwise OR.

  Specified by:
    `bitwiseOR` in interface `AbleRd`
  Overrides:
    `bitwiseOR` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise OR operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseXOR

    public AbleLiteral bitwiseXOR(AbleRd theRhs)
                           throws AbleDataException

  Bitwise XOR: exclusive OR the current value of this data object with the current value of theRhs.

  "^" is used for bitwise XOR.

  Specified by:
    `bitwiseXOR` in interface `AbleRd`
  Overrides:
    `bitwiseXOR` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise XOR operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseShiftLeft

    public AbleLiteral bitwiseShiftLeft(AbleRd theRhs)
                                 throws AbleDataException

  Bitwise Shift Left the current value of this data object by the current value of theRhs.

  "&&" is used for boolean AND.

  Specified by:
    `bitwiseShiftLeft` in interface `AbleRd`
  Overrides:
    `bitwiseShiftLeft` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise shift left operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseShiftRight

    public AbleLiteral bitwiseShiftRight(AbleRd theRhs)
                                  throws AbleDataException

  Bitwise Shift Right the current value of this data object by the current value of theRhs.

  ">>" is used for bitwise shift right.

  Specified by:
    `bitwiseShiftRight` in interface `AbleRd`
  Overrides:
    `bitwiseShiftRight` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise shift right operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### bitwiseShiftRightZeroFill

    public AbleLiteral bitwiseShiftRightZeroFill(AbleRd theRhs)
                                          throws AbleDataException

  Bitwise Shift Right with Zero Fill the current value of this data object by the current value of theRhs.

  ">>" is used for bitwise shift right with zero fill.

  Specified by:
    `bitwiseShiftRightZeroFill` in interface `AbleRd`
  Overrides:
    `bitwiseShiftRightZeroFill` in class `AbleLhs`
  Parameters:
    `theRhs` - The right-hand side of the operation.

  Returns:
    The result of the bitwise shift right with zero fill operation.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

### setBooleanValue

    public void setBooleanValue(boolean theNewValue)
                         throws AbleDataException

  Set the value of this data object from a boolean value.

  Specified by:
    `setBooleanValue` in interface `AbleWr`
  Overrides:
    `setBooleanValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - A boolean value. If the new value is true the variable is set to 1.0; if the new value is false the variable is set to 0.0.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a boolean value.

### setFuzzyValue

    public void setFuzzyValue(AbleFuzzySet theNewValue)
                       throws AbleDataException

  Set the value of this data object from a fuzzy value. This method always throws an exception.

  Specified by:
    `setFuzzyValue` in interface `AbleWr`
  Overrides:
    `setFuzzyValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - A fuzzy set.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a fuzzy value.

### setGenericValue

    public void setGenericValue(java.lang.Object theNewValue)
                         throws AbleDataException

  Set the value of this data object from an object.

  Specified by:
    `setGenericValue` in interface `AbleWr`
  Overrides:
    `setGenericValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - Any type of Object.

  Throws:
    `AbleDataException` - If the value of this object cannot be derived from the specified Object.

### setNumericValue

    public void setNumericValue(double theNewValue)
                         throws AbleDataException

  Set the value of this data object from a numeric value.

  Specified by:
    `setNumericValue` in interface `AbleWr`
  Overrides:
    `setNumericValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - Any number.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a numeric value.

### setStringValue

    public void setStringValue(java.lang.String theNewValue)
                        throws AbleDataException

  Set the value of this data object from a string value.

  Specified by:
    `setStringValue` in interface `AbleWr`
  Overrides:
    `setStringValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - A string. The variable is set to the value of the string, but only if the string can be parsed to a double; otherwise an exception is thrown.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a string value.

### setValue

    public void setValue(AbleLiteral theNewValue)
                  throws AbleDataException

  Set the value of this data object from a literal object.

  Specified by:
    `setValue` in interface `AbleWr`
  Overrides:
    `setValue` in class `AbleTypedVariable`
  Parameters:
    `theNewValue` - An Able literal of any type. An attempt is made to convert the literal to an appropriate type before assigning it to this "writable" object.

  Throws:
    `AbleDataException` - If the value of this object cannot be determined from the literal object.

### arlDclString

    public java.lang.String arlDclString()

  Return a formal ARL "declaration" string that describes this data object.

  Specified by:
    `arlDclString` in interface `AbleWr`
  Overrides:
    `arlDclString` in class `AbleTypedVariable`
  Returns:
    A String describing the data object in formal rule language.

### xmlDclString

    public java.lang.String xmlDclString()

  Return a formal XML "declaration" string that describes this data object.

  Specified by:
    `xmlDclString` in interface `AbleWr`
  Overrides:
    `xmlDclString` in class `AbleTypedVariable`
  Returns:
    A String describing the data object in XML.

### armlDclString

    public java.lang.String armlDclString()

  Return a formal XML "declaration" string that describes this data object.

  Overrides:
    `armlDclString` in class `AbleTypedVariable`
  Returns:
    A String describing the data object in XML.

### setValueString

    public void setValueString(java.lang.String theNewValue)
                        throws AbleDataException

  Set the variable's current value from a string. Note: This method is provided for the use of a rule language parser.

  Overrides:
    `setValueString` in class `AbleTypedVariable`
  Throws:
    `AbleDataException`

### getValueString

    public java.lang.String getValueString()

  Retrieve the variable's current value as a string. Note: This method is provided for the use of a rule language parser.

  Overrides:
    `getValueString` in class `AbleTypedVariable`

### reset

    public void reset()
               throws AbleDataException

  Reset the variable to its intial state.

  Overrides:
    `reset` in class `AbleTypedVariable`
  Throws:
    `AbleDataException`

### init

    public void init()
              throws AbleDataException

  Init the variable to its initial state.

  Overrides:
    `init` in class `AbleTypedVariable`
  Throws:
    `AbleDataException`

### getDataTypeClass

    public java.lang.Class getDataTypeClass()

  Description copied from class: `AbleLhs`
  Retrieve the actual class of this object's underlying data type.

  Specified by:
    `getDataTypeClass` in interface `AbleRd`
  Overrides:
    `getDataTypeClass` in class `AbleTypedVariable`

### getDataTypeClassName

    public java.lang.String getDataTypeClassName()

  Description copied from class: `AbleLhs`
  Retrieve the name of the class of this object's underlying data type.

  Specified by:
    `getDataTypeClassName` in interface `AbleRd`
  Overrides:
    `getDataTypeClassName` in class `AbleTypedVariable`

### getLiteralClass

    public java.lang.Class getLiteralClass()

  Retrieve the class of this variable's related AbleLiteral data type.

  Overrides:
    `getLiteralClass` in class `AbleTypedVariable`
  Returns:
    The class of the literal data type.

### getRawValue

    public java.lang.Object getRawValue()

  Retrieve the variable's current value.

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleTypedVariable`
  Returns:
    A String containing the current contents of the object.

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Specified by:
    `traceString` in interface `AbleRd`
  Overrides:
    `traceString` in class `AbleTypedVariable`
  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005